Resource Center/Hardware/Host Operations
GETHost OperationsSince 3.9.0SynchronousAuth Required
QueryHostNetworkBonding
QueryHostNetworkBonding
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
This API requires no request parameters.
Responses
Endpoint
GET/zstack/v1/hosts/bondings
/zstack/v1/hosts/bondings
Request Example
curl -X GET 'http://{host}/zstack/v1/hosts/bondings' -H 'Authorization: OAuth {sessionUuid}'
Response Example
200{ "inventories": [ { "uuid": "2e2226e18e853f20a5791684a1b644c8", "hostUuid": "903696c585a639bb8049713b98d93437", "bondingName": "bond0", "mode": "active-backup 1", "xmitHashPolicy": "layer2 0", "miiStatus": "up", "mac": "ac:1f:6b:93:6c:8c", "ipAddresses": [ "172.20.0.116/16" ], "miimon": 100.0, "allSlavesActive": true, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "slaves": [ { "uuid": "17a40aa475cf322494ea82e09066892e", "hostUuid": "903696c585a639bb8049713b98d93437", "bondingUuid": "2e2226e18e853f20a5791684a1b644c8", "interfaceName": "eno1", "interfaceType": "bondingSlave", "speed": 1000.0, "slaveActive": true, "carrierActive": true, "mac": "ac:1f:6b:93:6c:8c", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" }, { "uuid": "c3716c87b9173cbb8315e7d7f3645bc4", "hostUuid": "903696c585a639bb8049713b98d93437", "bondingUuid": "2e2226e18e853f20a5791684a1b644c8", "interfaceName": "eno2", "interfaceType": "bondingSlave", "speed": 1000.0, "slaveActive": false, "carrierActive": false, "mac": "ac:1f:6b:93:6c:8c", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] } ] }Change History
This API has no change history records yet.
